<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Цитадель</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik1='2'"));
if($sp[id]>0){
function wpk($a){$a1=$a*1.5;$a2=$a/2;$a=rand($a2,$a1);$a=$a;return $a;}
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="citadel.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_1 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"Шпионаж (<b>$re1[wpk]%</b>)<a href='citadel.php?make=1&z=wpk&der=$key'> [<b>+</b>]</a>|<a href='citadel.php?make=111&z=wpk&der=$key'>[?]</a><br/>";
echo"Саботаж (<b>$re1[sab]%</b>)<a href='citadel.php?make=1&z=sab&der=$key'> [<b>+</b>]</a>|<a href='citadel.php?make=111&z=sab&der=$key'>[?]</a><br/>";
echo"Воровство (<b>$re1[vor]%</b>)<a href='citadel.php?make=1&z=vor&der=$key'> [<b>+</b>]</a>|<a href='citadel.php?make=111&z=vor&der=$key'>[?]</a><br/>";
echo"Вербовка (<b>$re1[ver]%</b>)<a href='citadel.php?make=1&z=ver&der=$key'> [<b>+</b>]</a>|<a href='citadel.php?make=111&z=ver&der=$key'>[?]</a><br/>";
echo'<a href="citadel.php?make=2&der='.$key.'">Соседи</a><br/>------<br/><a href="citadel.php?make=6&der='.$key.'">Генерал</a><br/>';
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_1 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='citadel.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='citadel.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='citadel.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: citadel.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_1 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: citadel.php?make=oxp&der=$key");
}else{header("Location: citadel.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='citadel.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$ox[peh];?>" size="10"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$ox[str];?>" size="10"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$ox[puh];?>" size="10"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$ox[tan];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: citadel.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_1 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: citadel.php?make=oxp&der=$key");
}else{header("Location: citadel.php?make=oxp&der=$key");}
}
}
break;
case 111:
$a=$re1[$_GET[z]];
if($a>0 and $a<21){$b=round(($a*$a)*5);}else{}
if($a>20 and $a<41){$b=round(($a*$a)*10);}else{}
if($a>40 and $a<51){$b=round(($a*$a)*20);}else{}
if($a>50 and $a<66){$b=round(($a*$a)*50);}else{}
if($a>65 and $a<76){$b=round(($a*$a)*75);}else{}
if($a>75 and $a<86){$b=round(($a*$a)*90);}else{}
if($a>85 and $a<96){$b=round(($a*$a)*155);}else{}
if($a>95 and $a<116){$b=round(($a*$a)*250);}else{}
if($a>115 and $a<146){$b=round(($a*$a)*350);}else{}
if($a>145 and $a<186){$b=round(($a*$a)*400);}else{}
if($a>185 and $a<206){$b=round(($a*$a)*500);}else{}
if($a>205 ){$b=round(($a*$a)*600);}else{}
echo"Стоимость повышения $b денег<br/>";
break;
case 1:
$a=$re1[$_GET[z]];
if($a>0 and $a<21){$b=round(($a*$a)*5);}else{}
if($a>20 and $a<41){$b=round(($a*$a)*10);}else{}
if($a>40 and $a<51){$b=round(($a*$a)*20);}else{}
if($a>50 and $a<66){$b=round(($a*$a)*50);}else{}
if($a>65 and $a<76){$b=round(($a*$a)*75);}else{}
if($a>75 and $a<86){$b=round(($a*$a)*90);}else{}
if($a>85 and $a<96){$b=round(($a*$a)*155);}else{}
if($a>95 and $a<116){$b=round(($a*$a)*250);}else{}
if($a>115 and $a<146){$b=round(($a*$a)*350);}else{}
if($a>145 and $a<186){$b=round(($a*$a)*400);}else{}
if($a>185 and $a<206){$b=round(($a*$a)*500);}else{}
if($a>205 ){$b=round(($a*$a)*600);}else{}
$a=$a+5;
switch($_GET[z]){
case'wpk':
$nam='Шпионаж повышен';
break;
case'sab':
$nam='Саботаж повышен';
break;
case'vor':
$nam='Воровство повышено';
break;
case'ver':
$nam='Вербовка повышена';
break;
}
if($re2[dengi]>=$b){
echo"$nam до <b>$a</b> % <br/>за <b>$b</b> денег!<br/>";
qw("UPDATE gos2 SET dengi=dengi-'$b' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET $_GET[z]=$_GET[z]+5 WHERE strana='$re1[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('13','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'$nam +5 ')");
}else{
echo"Недостаточно денег!<br/>необходимо <b>$b</b><br/>";
}
break;
case 2:
$mon = qw("SELECT id,strana1 FROM sosed WHERE strana2='$re1[strana]'");
while($arr = mysql_fetch_array($mon)){
$wr1=mysql_fetch_array(qw("SELECT * FROM voyna WHERE strana='$re1[strana]' and vrag='$arr[strana1]'"));
$wr2=mysql_fetch_array(qw("SELECT * FROM voyna WHERE vrag='$re1[strana]' and strana='$arr[strana1]'"));
$sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$arr[strana1]'"));
	if($sx[id]>0){$sz='{союзник}';}else{$sz='';}
if($wr1[id]>0){$ss1='{враг}';}else{$ss1='';}if($wr2[id]>0){$ss2='{агрессор}';}else{$ss2='';}
$mo = mysql_fetch_array(qw("SELECT id,datareg FROM gos WHERE strana='$arr[strana1]'"));
$idd=(($mo[id]*500)/2);
$time1=time();
$dr=$time1-$mo['datareg'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
$voz="[<b>$hou2</b> ч.<b>$min2</b> м.]";
$hh=mysql_fetch_array(qw("SELECT name FROM klan WHERE id=(SELECT klan FROM users WHERE login=(SELECT login FROM gos WHERE strana='$arr[strana1]'))"));
if(!empty($hh[name])){$kl="[$hh[name]]";}else{$kl='';}
echo'<a href="citadel.php?make=5&a='.$idd.'&f='.$arr[id].'&x=1&der='.$key.'">'.$arr[strana1].'</a>';echo"$voz $ss1 $ss2 $sz $kl<br/>";
}
$mon1 = qw("SELECT id,strana2 FROM sosed WHERE strana1='$re1[strana]'");
while($arr1 = mysql_fetch_array($mon1)){
if($arr1[strana2]!=$arr[strana1]){
$wr1=mysql_fetch_array(qw("SELECT * FROM voyna WHERE strana='$re1[strana]' and vrag='$arr1[strana2]'"));
$wr2=mysql_fetch_array(qw("SELECT * FROM voyna WHERE vrag='$re1[strana]' and strana='$arr1[strana2]'"));
$sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$arr1[strana2]'"));
	if($sx[id]>0){$sz='{союзник}';}else{$sz='';}
if($wr1[id]>0){$ss1='{враг}';}else{$ss1='';}if($wr2[id]>0){$ss2='{агрессор}';}else{$ss2='';}
$mo = mysql_fetch_array(qw("SELECT id,datareg FROM gos WHERE strana='$arr1[strana2]'"));
$idd=(($mo[id]*500)/2);
$time1=time();
$dr=$time1-$mo['datareg'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
$voz="[<b>$hou2</b> ч.<b>$min2</b> м.]";
$hh=mysql_fetch_array(qw("SELECT name FROM klan WHERE id=(SELECT klan FROM users 
WHERE login=(SELECT login FROM gos WHERE strana='$arr1[strana2]'))"));
if(!empty($hh[name])){$kl="[$hh[name]]";}else{$kl='';}
echo'<a href="citadel.php?make=5&a='.$idd.'&f='.$arr1[id].'&x=2&der='.$key.'">'.$arr1[strana2].'</a>';echo"$voz $ss1 $ss2 $sz $kl<br/>";
}else{}}
//////////////////////////////////
echo'</div><div class="knews">';
echo"Расширить границы гос-ва на:<br/>";
$zem=round(($re2[land]+$re2[gora]+$re2[lesa])/5);
echo'<a href="citadel.php?make=3&der='.$key.'">Запад </a>('.$zem.' денег)<br/>';
$zem=round(($re2[land]+$re2[gora]+$re2[lesa])/3);
echo'<a href="citadel.php?make=4&der='.$key.'">Восток </a>('.$zem.' денег)<br/>';
break;

case 3:
$zem=round(($re2[land]+$re2[gora]+$re2[lesa])/5);
if($re2[dengi]>=$zem){
$sta1=qw("SELECT COUNT(*)FROM sosed WHERE strana1='$re1[strana]'");$row1=mysql_fetch_row($sta1);{$tot=$row1[0];}
$sta2=qw("SELECT COUNT(*)FROM sosed WHERE strana2='$re1[strana]'");$row1=mysql_fetch_row($sta2);{$tot1=$row1[0];}
$tt=$tot+$tot1;if($tt<10){
$mon = qw("SELECT login,strana FROM gos WHERE datareg<'$re1[datareg]' ORDER BY datareg DESC, datareg asc LIMIT $tot,2");
while($arr = mysql_fetch_array($mon)){
$sa1=mysql_fetch_array(qw("SELECT id FROM sosed WHERE strana2='$re1[strana]'and strana1='$arr[strana]'"));
if($sa1[id]>0){}else{
$dat=time();
qw("INSERT INTO sosed (strana1,strana2) VALUES('$re1[strana]','$arr[strana]')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $re1[strana]'),('$re1[strana]','@','$dat','0','0','Новое соседнее гос-во $arr[strana]')");
}}
qw("UPDATE gos2 SET dengi=dengi-'$zem' WHERE strana='$re1[strana]'");
echo"Границы расширены за <b>$zem</b> денег!<br/>";
}else{echo"Расширение невозможно!<br/>";}
}else{
echo"Недостаточно денег!<br/>необходимо <b>$zem</b><br/>";
}
break;
case 4:
$zem=round(($re2[land]+$re2[gora]+$re2[lesa])/3);
if($re2[dengi]>=$zem){
$sta1=qw("SELECT COUNT(*)FROM sosed WHERE strana2='$re1[strana]'");$row1=mysql_fetch_row($sta1);{$tot=$row1[0];}
$sta2=qw("SELECT COUNT(*)FROM sosed WHERE strana1='$re1[strana]'");$row1=mysql_fetch_row($sta2);{$tot2=$row1[0];}
$tt=$tot+$tot1;if($tt<10){
$mon = qw("SELECT login,strana FROM gos WHERE datareg>'$re1[datareg]' ORDER BY datareg LIMIT $tot,2");
while($arr = mysql_fetch_array($mon)){
$sa1=mysql_fetch_array(qw("SELECT id FROM sosed WHERE strana2='$re1[strana]'and strana1='$arr[strana]'"));
if($sa1[id]>0){}else{
$dat=time();
qw("INSERT INTO sosed (strana2,strana1) VALUES('$re1[strana]','$arr[strana]')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $re1[strana]'),('$re1[strana]','@','$dat','0','0','Новое соседнее гос-во $arr[strana]')");
}}
qw("UPDATE gos2 SET dengi=dengi-'$zem' WHERE strana='$re1[strana]'");
echo"Границы расширены за <b>$zem</b> денег!<br/>";
}else{echo"Расширение невозможно!<br/>";}
}else{
echo"Недостаточно денег!<br/>необходимо <b>$zem</b><br/>";
}
break;
//////////////////////////////////////////////////////
case v55:
$id=zif($_GET[y]);
$sa1=mysql_fetch_array(qw("SELECT strana1,strana2 FROM soyuz WHERE strana2=(SELECT vrag FROM voyna WHERE id='$id')"));
if(empty($_GET[a])){

if($sa1[strana1]==$re1[strana]){
$wn=mysql_fetch_array(qw("SELECT * FROM voyna WHERE id='$id'"));
echo"[$wn[strana]]<br/>Пехота ($wn[peh]),Кавалерия ($wn[kon]),Стрелки ($wn[str]),Пушки ($wn[puh]),Танки ($wn[tan]),Самолёты ($wn[sam])<br/>";
$ar=$re2[peh]+$re2[kon]+$re2[str]+$re2[puh]+$re2[tan]+$re2[sam];
if($ar==0){echo"У вас нет свободных войск!<br/>";}else{
echo"<FORM ACTION='citadel.php?y=$id&make=v55&a=1&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Атаковать'></FORM><br/><?}

}else{
header("Location: ../../game.php?der=$key");
}}else{
$wr=mysql_fetch_array(qw("SELECT * FROM voyna WHERE id='$id'"));$bb3=mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$wn[strana]'"));
//////////////////////////////////////////////////////////////////////////////
$a5=time();$at1=$wr[dataatk]-$at;
$fr1=time();$fr2=$fr1-$wr[datanap];$fr3=3600*1;$fr4=$fr1-$wr[dataatk];
if($fr2>=$fr3 and $fr4>=3600){
$peh=zif($_POST[peh]);$kon=zif($_POST[kon]);$str=zif($_POST[str]);$puh=zif($_POST[puh]);$tan=zif($_POST[tan]);$sam=zif($_POST[sam]);
$arm=$peh+$kon+$str+$tan+$puh+$tan+$sam;
if($peh>$re2[peh] or $kon>$re2[kon] or $str>$re2[str] or $puh>$re2[puh] or $tan>$re2[tan] or $sam>$re2[sam]){
echo"У вас нет столько войск!<br/>";}else{
if($arm==0){
echo"Вы не ввели число войск!<br/>";}else{
$bb3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$wr[strana]'"));
$z1=$re2[genn];$z2=$re2[genm];$z3=$re2[geno];
$x1=$bb3[genn];$x2=$bb3[genm];$x3=$bb3[geno];
$a1=$peh;$a2=$re2[peh1];$a3=$re2[peh2];$a11=$wr[peh];$a12=$bb3[peh1];$a13=$bb3[peh2];
$m1=$kon;$m2=$re2[kav1];$m3=$re2[kav2];$b11=$wr[kon];$b12=$bb3[kav1];$b13=$bb3[kav2];
$c1=$str;$c2=$re2[str1];$c3=$re2[str2];$c11=$wr[str];$c12=$bb3[str1];$c13=$bb3[str2];
$d1=$puh;$d2=$re2[puh1];$d3=$re2[puh2];$d11=$wr[puh];$d12=$bb3[puh1];$d13=$bb3[puh2];
$e1=$tan;$e2=$re2[tan1];$e3=$re2[tan2];$e11=$wr[tan];$e12=$bb3[tan1];$e13=$bb3[tan2];
$f1=$sam;$f2=$re2[sam1];$f3=$re2[sam2];$f11=$wr[sam];$f12=$bb3[sam1];$f13=$bb3[sam2];
$kk1=1.3;$kk2=1;
require'../sys/boy.php';
if($nn1>$nn2){$tm=time();if($nn1==0){$a1=1;}
//////////////////////////////////////////////////////////
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
$boy="Бой между страной <b>
$re1[strana] ,союзником страны $sa1[strana2]</b>и страной <b>$wr[strana]</b><br/><u>$re1[strana]</u> пехота($peh)[$a2-$a3]кавалерия($kon)[$m2-$m3]стрелки($str)[$c2-$c3]
пушки($puh)[$d2-$d3]танки($tan)[$e2-$e3]самолёты($sam)[$f2-$f3]<br><u>$wr[strana]</u> пехота($wr[peh])[$a12-$a13]кавалерия($wr[kon])[$b12-$b13]стрелки($wr[str])[$c12-$c13]
пушки($wr[puh])[$d12-$d13]танки($wr[tan])[$e12-$e13]самолёты($wr[sam])[$f12-$f13]<br><u>Генерал страны $re1[strana]</u>навык-($z1)мораль-($z2)опыт-($z3)<br>
<u>Генерал страны $wr[strana]</u>навык-($x1)мораль-($x2)опыт-($x3)<br>Гос-во $re1[strana] разбило всё  войско $wr[strana]!<br/>Осталось- пехота
($a1),кавалерия($m1),стрелки($c1),пушки($d1),танки($e1),самолёты($f1)<br/><u>Опыт генерала $re1[strana]</u>($h1)<br/><u>Опыт генерала $wr[strana]</u>($h2)<br/>";
mysql_query("INSERT INTO logistik (vid,data,strana,text) 
VALUES('7','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$boy'),('7','[$dt1:$dt2]($dt3:$dt4)','$wr[strana]','$boy'),('7','[$dt1:$dt2]($dt3:$dt4)','$sa1[strana2]','$boy')");
/////////////////////////////////////////////////////////
 qw("DELETE FROM voyna WHERE id='$id'");
qw("UPDATE gos2 SET geno=geno+'$h2' WHERE strana='$bb3[strana]'");
$peh=($re2[peh]-$peh)+$a1;$kon=($re2[kon]-$kon)+$m1;$str=($re2[str]-$str)+$c1;$puh=($re2[puh]-$puh)+$d1;$tan=($re2[tan]-$tan)+$e1;$sam=($re2[sam]-$sam)+$f1;
qw("UPDATE gos2 SET peh='$peh',kon='$kon',str='$str',puh='$puh',tan='$tan',sam='$sam',geno=geno+'$h1' WHERE strana='$re1[strana]'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$bb3[strana]','@','$tm','0','0','Гос-во $re1[strana] ,союзник страны $sa1[strana2] разбило всё ваше войско!Опыт +$h2')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sa1[strana]','@','$tm','0','0','Гос-во $re1[strana] ,ваш союзник,разбило всё войско $wr[strana]!Опыт +$h2')");

echo"Вы разбили войско<br/>гос-ва <b>$wr[strana]</b>!осталось - ";
if($a1>0){echo">пехота($a1)";}else{}if($m1>0){echo">кавалерия($m1)";}else{}if($c1>0){echo">стрелки($c1)";}else{}
if($d1>0){echo">пушки($d1)";}else{}if($e1>0){echo">танки($e1)";}else{}if($f1>0){echo">самолёты($f1)";}else{}
echo"Опыт +$h1<br/>";
/////
$opp=$h1+$h2;
$opp1 = mysql_fetch_array(qw("SELECT opp FROM bitva"));
if($opp>$opp1[opp]){
qw("DELETE FROM bitva");
mysql_query("INSERT INTO bitva (st1,st2,opp) VALUES('$re1[strana]','$bb3[strana]','$opp')");
}else{}
/////
}else{
if($nn2==0){$a11=1;}
//////////////////////////////////////////////////////////
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
$boy="Бой между страной <b>
$re1[strana]  ,союзником страны $sa1[strana2]</b>и страной <b>$wr[strana]</b><br/><u>$re1[strana]</u>пехота($peh)[$a2-$a3]кавалерия($kon)[$m2-$m3]стрелки($str)[$c2-$c3]
пушки($puh)[$d2-$d3]танки($tan)[$e2-$e3]самолёты($sam)[$f2-$f3]<br><u>$wr[strana]</u> пехота($wr[peh])[$a12-$a13]кавалерия($wr[kon])[$b12-$b13]стрелки($wr[str])[$c12-$c13]
пушки($wr[puh])[$d12-$d13]танки($wr[tan])[$e12-$e13]самолёты($wr[sam])[$f12-$f13]<br><u>Генерал страны $re1[strana]</u>навык-($z1)мораль-($z2)опыт-($z3)<br>
<u>Генерал страны $wr[strana]</u>навык-($x1)мораль-($x2)опыт-($x3)<br>Гос-во $re1[strana] не смогло разбить  войско $wr[strana]!<br/>Осталось- пехота
($a11),кавалерия($b11),стрелки($c11),пушки($d11),танки($e11),самолёты($f11)<br/><u>Опыт генерала $re1[strana]</u>($h1)<br/><u>Опыт генерала $wr[strana]</u>($h2)<br/>";
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('7','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$boy'),
('7','[$dt1:$dt2]($dt3:$dt4)','$wr[strana]','$boy'),('7','[$dt1:$dt2]($dt3:$dt4)','$sa1[strana2]','$boy')");
/////////////////////////////////////////////////////////
$tm=time();
qw("UPDATE voyna SET peh='$a11',kon='$b11',str='$c11',puh='$d11',tan='$e11',sam='$f11',dataatk='$tm' WHERE id='$id'");
qw("UPDATE gos2 SET geno=geno+'$h2' WHERE strana='$bb3[strana]'");
qw("UPDATE gos2 SET peh=peh-'$peh',kon=kon-'$kon',str=str-'$str',puh=puh-'$puh',tan=tan-'$tan',sam=sam-'$sam',geno=geno+'$h1',
kat='$kat' WHERE strana='$re1[strana]'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$bb3[strana]','@','$tm','0','0','Гос-во $re1[strana] ,союзник страны $sa1[strana2] не смогло разбить ваше войско!Опыт +$h2')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sa1[strana]','@','$tm','0','0','Гос-во $re1[strana] ,ваш союзник, не смогло разбить войско $wr[strana]!Опыт +$h2')");

echo"Вы не смогли разбить войско <br/>гос-ва <b>$wr[strana]</b>!
осталось - ";
if($a11>0){echo">пехота($a11)";}else{}if($b11>0){echo">кавалерия($b11)";}else{}if($c11>0){echo">стрелки($c11)";}else{}
if($d11>0){echo">пушки($d11)";}else{}if($e11>0){echo">танки($e11)";}else{}if($f11>0){echo">самолёты($f11)";}else{}

echo"Опыт +$h1<br/>";
/////
$opp=$h1+$h2;
$opp1 = mysql_fetch_array(qw("SELECT opp FROM bitva"));
if($opp>$opp1[opp]){
qw("DELETE FROM bitva");
mysql_query("INSERT INTO bitva (st1,st2,opp) VALUES('$re1[strana]','$bb3[strana]','$opp')");
}else{}
/////
}
}
}}else{
$fr1=time();$fr4=$fr1-$wr[dataatk];
$at2=3600-$fr4;
$sec2=$at2;$hou2=floor($sec2/3600);$sec2-=$hou2*3600;$min2=floor($sec2/60);$sec2-=$min2*60;
echo"Подождите($min2 мин.$sec2 сек.)<br/>";}



///////////////////////////////////////////////////////////////////////////////////

}
break;
/////////////////////////////////////////////////////////
case 5:
$a1=$_GET[a];$a2=$_GET[f];$a1=($a1*2)/500;
switch($_GET[x]){
case 1:
$a3='strana1';
break;
case 2:
$a3='strana2';
break;}
$b1 = mysql_fetch_array(qw("SELECT * FROM gos WHERE id='$a1'"));
$b2 = mysql_fetch_array(qw("SELECT $a3 FROM sosed WHERE id='$a2'"));
if($_GET[k]==7){qw("UPDATE $t5 SET $stt='1' WHERE $h='$p5'");}
if($b1[strana]==$b2[$a3]){
$wr1=mysql_fetch_array(qw("SELECT * FROM voyna WHERE strana='$re1[strana]' and vrag='$b1[strana]'"));
$wr2=mysql_fetch_array(qw("SELECT * FROM voyna WHERE vrag='$re1[strana]' and strana='$b1[strana]'"));
if($wr1[id]>0){$ss1='{враг}';}else{$ss1='';}if($wr2[id]>0){$ss2='{агрессор}';}else{$ss2='';}
echo"<b>$b1[strana] $ss1 $ss2</b><br/>";$u=time();
$v1=($u-$re1[datareg])/3600;$v2=($u-$b1[datareg])/3600;
if($v1>$v2){$ty=substr($v1/$v2,0,4);}else{$ty=substr($v2/$v1,0,4);}
echo"Разница в возрасте <b>[$ty]</b><br/>";
if(empty($_GET[m])){
echo"
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=1&der=$key'>Ресурсы</a><br/>
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=2&der=$key'>Наука</a><br/>
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=3&der=$key'>Войско</a><br/>
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=4&der=$key'>Оборона</a><br/>
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=5&der=$key'>Сообщение</a><br/>";
$sx=mysql_fetch_array(qw("SELECT id,strana2 FROM soyuz WHERE strana1='$re1[strana]' and strana2='$b1[strana]'"));
	if($sx[id]>0){
	
echo"<a href='../../game.php?make=rs&b=$sx[id]&der=$key'>Расторгнуть союз</a><br/>";
$money = qw("SELECT * FROM voyna WHERE vrag='$sx[strana2]'");
while($array = mysql_fetch_array($money)){
echo"Вторжение к союзнику :<br/>[$array[strana]] пех ($array[peh]),кав ($array[kon]),стр ($array[str]),пуш ($array[puh]),
тан ($array[tan]),сам ($array[sam])<br/><a href=citadel.php?make=v55&der=$key&y=$array[id]>Атаковать</a><br/>";
}
	}else{
	echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=7&der=$key'>Напасть</a><br/>
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=s11&der=$key'>Предложить союз</a><br/>";
	}
echo"<a href='citadel.php?make=2&der=$key'>Ок</a><br/>";}
if($_GET[m]=='s11'){
echo"Вы хотите прeдложить союз гос-ву $b1[strana] ?<br/>
<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=s1&der=$key'>Да</a><br/>";
echo"<a href='citadel.php?make=2&der=$key'>Нет</a><br/>";
}
if($_GET[m]=='s1'){
if($re1[sz]<2){if($b1['login']!='K'){$s1=mysql_fetch_array(mysql_query("SELECT id FROM ps WHERE strana='$re1[strana]' and vrag='$b1[strana]'"));
if($s1[id]>0){echo"Вы уже отправили предложение союза этой стране!<br/>";}else{
$kod=md5(rand(111,99999));$kod=substr($kod,0,8);$tm=time();
mysql_query("INSERT INTO ps (data,kod,strana,vrag) VALUE ('$tm','$kod','$re1[strana]','$b1[strana]')");
echo"Предложение о союзе отправлено стране $b1[strana] !<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('17','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Предложение о союзе отправлено стране $b1[strana] !')");
}}else{echo"Союз с пустыней невозможен!<br/>";}}else{echo"Вы истратили лимит союзов!<br/>";}
}
if($_GET[m]==7){
$res1 = mysql_fetch_row(mysql_query("SELECT COUNT(*) FROM voyna WHERE strana='$re1[strana]'"));$total = $res1[0];
if($total<3){
if($re2[genn]==0){echo"Наймите генерала в Цитадели!<br/>";}else{
$ar=$re2[peh]+$re2[kon]+$re2[str]+$re2[puh]+$re2[tan]+$re2[sam];
$sp=mysql_fetch_array(qw("SELECT id,stena FROM domik WHERE strana ='$b1[strana]' and domik6='1'"));
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_6 WHERE strana ='$b1[strana]'"));
$ox1=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
if(empty($sp[id])){
echo"Стена отсутствует!<br/>";
if($ar==0){echo"У вас нет свободных войск!<br/>";}else{
echo"<FORM ACTION='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=77&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Война'></FORM><br/><?}
}else{
if(empty($ox[id]) or $ox1==0){
echo "Уровень защиты <b>$sp[stena]</b><br/>";
echo"Охрана отсутствует!<br/>";
if($ar==0){echo"У вас нет свободных войск!<br/>";}else{
echo"<FORM ACTION='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=77&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
Катапульты:<br/><input type="text" name="kat" maxlength="10" value="<?=$re2[kat];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Война'></FORM><br/><?}
}else{
echo "Уровень защиты <b>$sp[stena]</b><br/>";
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
if($ar==0){echo"У вас нет свободных войск!<br/>";}else{
echo"<FORM ACTION='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=77&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
Катапульты:<br/><input type="text" name="kat" maxlength="10" value="<?=$re2[kat];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Война'></FORM><br/><?}
}}}}else{echo"Войн должно быть не более трёх!<br/>";}}
if($_GET[m]==77){
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$peh=zif($_POST[peh]);$kon=zif($_POST[kon]);$str=zif($_POST[str]);$puh=zif($_POST[puh]);$tan=zif($_POST[tan]);$sam=zif($_POST[sam]);$kat=zif($_POST[kat]);
$arm=$peh+$kon+$str+$puh+$tan+$sam;$time=time();
$sp=mysql_fetch_array(qw("SELECT id,stena FROM domik WHERE strana ='$b1[strana]' and domik6='1'"));
$b3 = mysql_fetch_array(qw("SELECT * FROM voyna WHERE strana='$re1[strana]' and vrag='$b1[strana]'"));
$b4 = mysql_fetch_array(qw("SELECT marat1 FROM users WHERE login='$b1[login]'"));
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_6 WHERE strana ='$b1[strana]'"));
$tim2=$time-$b1[datareg];$m1=(3600*3)-1;
if($tim2>$m1){
if($re0[marat1]<$time){
if($b4[marat1]<$time){
if($b3[id]>0){
echo"Вы уже воюете с этим гос-вом!<br/>";
}else{
if($arm==0){
echo"Вы не ввели число войск!<br/>";}else{
if($peh>$re2[peh] or $kon>$re2[kon] or $str>$re2[str] or $puh>$re2[puh] or $tan>$re2[tan] or $sam>$re2[sam]){
echo"У вас нет столько войск!<br/>";
}else{
if($kat==0 and $sp[stena]>0){echo"Вы не можете атаковать без катапульт!<br/>";}else{
if($kat>=$sp[stena]){
$bb3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
////////////////////zaebok
$kat1=$kat-$sp[stena];$kka=$re2[kat]-$kat;$kat=$kka+$kat1;
/////////////
$z1=$re2[genn];$z2=$re2[genm];$z3=$re2[geno];
$x1=$bb3[genn];$x2=$bb3[genm];$x3=$bb3[geno];
$a1=$peh;$a2=$re2[peh1];$a3=$re2[peh2];$a11=$ox[peh];$a12=$bb3[peh1];$a13=$bb3[peh2];
$m1=$kon;$m2=$re2[kav1];$m3=$re2[kav2];$b11=$ox[kon];$b12=$bb3[kav1];$b13=$bb3[kav2];
$c1=$str;$c2=$re2[str1];$c3=$re2[str2];$c11=$ox[str];$c12=$bb3[str1];$c13=$bb3[str2];
$d1=$puh;$d2=$re2[puh1];$d3=$re2[puh2];$d11=$ox[puh];$d12=$bb3[puh1];$d13=$bb3[puh2];
$e1=$tan;$e2=$re2[tan1];$e3=$re2[tan2];$e11=$ox[tan];$e12=$bb3[tan1];$e13=$bb3[tan2];
$f1=$sam;$f2=$re2[sam1];$f3=$re2[sam2];$f11=$ox[sam];$f12=$bb3[sam1];$f13=$bb3[sam2];
$kk1=1;$kk2=1.5;$wr=$ox;
////////////
require'../sys/boy.php';
if($nn1>$nn2){$tm=time();
qw("UPDATE domik SET stena='0' WHERE strana='$b1[strana]'");
qw("UPDATE oxp_6 SET peh='0',kon='0',str='0',puh='0',tan='0',sam='0' WHERE strana='$b1[strana]'");
qw("UPDATE gos2 SET geno=geno+'$h2' WHERE strana='$b1[strana]'");
qw("UPDATE gos2 SET peh=peh-'$peh',kon=kon-'$kon',str=str-'$str',puh=puh-'$puh',tan=tan-'$tan',sam=sam-'$sam',geno=geno+'$h1',
kat='$kat' WHERE strana='$re1[strana]'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$tm','0','0','Гос-во $re1[strana] прорвалось через вашу стену!Опыт +$h2')");
echo"Вы прорвали оборону<br/>гос-ва <b>$b1[strana]</b>!На территорию врага ворвалось";
if($a1>0){echo">пехота($a1)";}else{}if($m1>0){echo">кавалерия($m1)";}else{}if($c1>0){echo">стрелки($c1)";}else{}
if($d1>0){echo">пушки($d1)";}else{}if($e1>0){echo">танки($e1)";}else{}if($f1>0){echo">самолёты($f1)";}else{}
echo"Опыт +$h1<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('6','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы прорвали оборону<br/>гос-ва <b>$b1[strana]</b>!Опыт +$h1'),('6','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Гос-во $re1[strana] прорвалось через вашу стену!Опыт +$h2')");
qw("INSERT INTO `voyna` SET strana='$re1[strana]',vrag='$b1[strana]',datanap='$tm',
datadem='$tm',dataatk='$tm',peh='$a1',kon='$m1',str='$c1',
puh='$d1',tan='$e1',sam='$f1' ");


}else{
$tm=time();
qw("UPDATE domik SET stena='0' WHERE strana='$b1[strana]'");
qw("UPDATE oxp_6 SET peh='$a11',kon='$b11',str='$c11',puh='$d11',tan='$e11',sam='$f11' WHERE strana='$b1[strana]'");
qw("UPDATE gos2 SET geno=geno+'$h2' WHERE strana='$b1[strana]'");
qw("UPDATE gos2 SET peh=peh-'$peh',kon=kon-'$kon',str=str-'$str',puh=puh-'$puh',tan=tan-'$tan',sam=sam-'$sam',geno=geno+'$h1',
kat='$kat' WHERE strana='$re1[strana]'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$tm','0','0','Гос-во $re1[strana] пыталось прорваться через вашу стену!Опыт +$h2')");
echo"Вы не смогли прорвать оборону<br/>гос-ва <b>$b1[strana]</b>!";echo"Опыт +$h1<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('6','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы не смогли прорвать оборону<br/>гос-ва <b>$b1[strana]</b>!Опыт +$h1'),('6','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Гос-во $re1[strana] пыталось прорваться через вашу стену!Опыт +$h2')");

}
////////
}else{
$sten=$sp[stena]-$kat;
/////////////oblomingo
echo"Вам не удалось прорвать оборону гос-ва $b1[strana]!<br/>";
$data=time();$y="Гос-во $re1[strana] пыталось напасть на вас!Уровень стены  $sten";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('6','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вам не удалось прорвать оборону гос-ва $b1[strana]!'),('6','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Гос-во $re1[strana] пыталось напасть на вас!Уровень стены  $sten')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos2 SET kat='0' WHERE strana='$re1[strana]'");
qw("UPDATE domik SET stena='$sten' WHERE strana='$b1[strana]'");
}
}
}}}
}else{
$tt=$b4[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва ночной мораторий,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}}else{
$tt=$re0[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Вы находитесь ночном моратории,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}}else{
$tt=$m1-$tim2;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва начальная неприкосновенность,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}
if($_GET[m]==1){
$sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$b1[strana]'"));
$b3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
if($re1[wpk]<100 and $sx[id]<1){
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Деньги : <b>" .wpk($b3[dengi])."</b><br/>
Железо : <b>" .wpk($b3[metal])."</b><br/>
Дерево : <b>" .wpk($b3[derevo])."</b><br/>
Зерно : <b>" .wpk($b3[zerno])."</b><br/>
Камень : <b>" .wpk($b3[kamen])."</b><br/>
Нефть : <b>" .wpk($b3[neft])."</b><br/>";
}else{
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Деньги : <b>$b3[dengi]</b><br/>
Железо : <b>$b3[metal]</b><br/>
Дерево : <b>$b3[derevo]</b><br/>
Зерно : <b>$b3[zerno]</b><br/>
Камень : <b>$b3[kamen]</b><br/>
Нефть : <b>$b3[neft]</b><br/>";
}

	if($sx[id]>0){
	echo'<FORM ACTION="citadel.php?make=5&a='.$_GET[a].'&f='.$a2.'&x='.$_GET[x].'&m=ob&der='.$key.'" METHOD="POST">';?>
Свои ресурсы:<br/> <INPUT TYPE='text' NAME='kol1'VALUE=""><br>
<?echo'</select>';?>
<select name="res1">
<option value="1" selected="selected">деньги</option>
<option value="2" >железо</option>
<option value="3" >камень</option>
<option value="4" >дерево</option>
<option value="6" >нефть</option>
<option value="5" >зерно</option>
</select><br/><?echo'</select>';?>
Ресурсы союзника:<br/> <INPUT TYPE='text' NAME='kol2'VALUE=""><br>
<select name="res2">
<option value="1" selected="selected">деньги</option>
<option value="2" >железо</option>
<option value="3" >камень</option>
<option value="4" >дерево</option>
<option value="6" >нефть</option>
<option value="5" >зерно</option>
</select><br/>
<br/>
<INPUT TYPE='submit'VALUE='Обменять'>
</FORM><br/><?
	
	
	}else{
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=11&der=$key'>Украсть</a><br/>";}
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if($_GET[m]=='ob'){
$kol1=zif($_POST['kol1']);$kol2=zif($_POST['kol2']);$r1=$_POST['res1'];$r2=$_POST['res2'];
if(empty($kol1) or empty($kol1) or $kol1==0 or $kol2==0){echo"Неверный ввод!<br/>";}else{
switch($_POST['res1']){
case 1:
if($kol1>$re2[dengi]){echo"У вас нет столько денег!<br/>";}else{}
break;
case 2:
if($kol1>$re2[metal]){echo"У вас нет столько железа!<br/>";}else{}
break;
case 3:
if($kol1>$re2[kamen]){echo"У вас нет столько камня!<br/>";}else{}
break;
case 4:
if($kol1>$re2[derevo]){echo"У вас нет столько древесины!<br/>";}else{}
break;
case 5:
if($kol1>$re2[zerno]){echo"У вас нет столько зерна!<br/>";}else{}
break;
case 6:
if($kol1>$re2['neft']){echo"У вас нет столько нефти!<br/>";}else{}
break;}
$kod=md5(rand(111,99999));$kod=substr($kod,0,8);
mysql_query("INSERT INTO po (kod,strana1,strana2,res1,kolvo1,res2,kolvo2) VALUE ('$kod','$re1[strana]','$b1[strana]','$r1','$kol1','$r2','$kol2')");
echo"Предложение обмена отправлено стране $b1[strana] !<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('9','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Предложение обмена отправлено стране $b1[strana]')");
}
}
if($_GET[m]==11){
/////////////////////
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);

///////////////////////
$b3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
$b4 = mysql_fetch_array(qw("SELECT * FROM users WHERE login='$b1[login]'"));
$time=time();
$tim=$time-$re1[datavor];
if($tim>3599){
$tim2=$time-$b1[datareg];$m1=(3600*3)-1;
if($tim2>$m1){
if($re0[marat1]<$time){
if($b4[marat1]<$time){
/////////////////////////////////////////////yeeeeeeeeeeees
if($re1[vor]>$b1[wpk]){
//////////////probitie
$n1=mysql_fetch_row(qw("SELECT COUNT(*)FROM rynok WHERE strana='$b1[strana]'"));
if($n1[0]>0){
$den1=pro($b3[dengi],$b1[wpk],$re1[vor]);
$met1=pro($b3[metal],$b1[wpk],$re1[vor]);if($met1>=$x){$met1=$x;$x=0;}else{$x=$x-$met1;}if($met1<0){$met1=0;}
$der1=pro($b3[derevo],$b1[wpk],$re1[vor]);if($der1>=$x){$der1=$x;$x=0;}else{$x=$x-$der1;}if($der1<0){$der1=0;}
$zer1=pro($b3[zerno],$b1[wpk],$re1[vor]);if($zer1>=$x){$zer1=$x;$x=0;}else{$x=$x-$zer1;}if($zer1<0){$zer1=0;}
$kam1=pro($b3[kamen],$b1[wpk],$re1[vor]);if($kam1>=$x){$kam1=$x;$x=0;}else{$x=$x-$kam1;}if($kam1<0){$kam1=0;}
$nef1=pro($b3[neft],$b1[wpk],$re1[vor]);if($nef1>=$x){$nef1=$x;$x=0;}else{$x=$x-$nef1;}if($nef1<0){$nef1=0;}
$den3=pro($b3[dengi],$b1[wpk],$re1[vor]);
$met3=pro($b3[metal],$b1[wpk],$re1[vor]);
$der3=pro($b3[derevo],$b1[wpk],$re1[vor]);
$zer3=pro($b3[zerno],$b1[wpk],$re1[vor]);
$kam3=pro($b3[kamen],$b1[wpk],$re1[vor]);
$nef3=pro($b3[neft],$b1[wpk],$re1[vor]);
$r = mysql_fetch_array(qw("SELECT kolvo FROM rynok WHERE strana='$b1[strana]' and tovar='1'"));
$met2=pro($r[kolvo],$b1[wpk],$re1[vor]);if($met2>=$x){$met2=$x;$x=0;}else{$x=$x-$met2;}if($met2<0){$met2=0;}
$met4=pro($r[kolvo],$b1[wpk],$re1[vor]);
$r = mysql_fetch_array(qw("SELECT kolvo FROM rynok WHERE strana='$b1[strana]' and tovar='2'"));
$kam2=pro($r[kolvo],$b1[wpk],$re1[vor]);if($kam2>=$x){$kam2=$x;$x=0;}else{$x=$x-$kam2;}if($kam2<0){$kam2=0;}
$kam4=pro($r[kolvo],$b1[wpk],$re1[vor]);
$r = mysql_fetch_array(qw("SELECT kolvo FROM rynok WHERE strana='$b1[strana]' and tovar='3'"));
$der2=pro($r[kolvo],$b1[wpk],$re1[vor]);if($der2>=$x){$der2=$x;$x=0;}else{$x=$x-$der2;}if($der2<0){$der2=0;}
$der4=pro($r[kolvo],$b1[wpk],$re1[vor]);
$r = mysql_fetch_array(qw("SELECT kolvo FROM rynok WHERE strana='$b1[strana]' and tovar='4'"));
$nef2=pro($r[kolvo],$b1[wpk],$re1[vor]);if($nef2>=$x){$nef2=$x;$x=0;}else{$x=$x-$nef2;}if($nef2<0){$nef2=0;}
$nef4=pro($r[kolvo],$b1[wpk],$re1[vor]);
$r = mysql_fetch_array(qw("SELECT kolvo FROM rynok WHERE strana='$b1[strana]' and tovar='5'"));
$zer2=pro($r[kolvo],$b1[wpk],$re1[vor]);if($zer2>=$x){$zer2=$x;$x=0;}else{$x=$x-$zer2;}if($zer2<0){$zer2=0;}
$zer4=pro($r[kolvo],$b1[wpk],$re1[vor]);

echo"Вашим грабителям удалось <br/>пробраться на склад гос-ва <b>$b1[strana]</b><br/>
Похищено : деньги($den1)железо($met1 - с рынка $met2)<br/>дерево($der1 - с рынка $der2)
зерно($zer1 - с рынка $zer2)<br/>камень($kam1 - с рынка $kam2)нефть($nef1 - с рынка $nef2)<br/>";
$data=time();$y="Грабителям гос-ва $re1[strana] удалось пробраться на ваш склад,
Похищено : деньги($den1)железо($met1 - с рынка $met2)дерево($der1 - с рынка $der2)
зерно($zer1 - с рынка $zer2)камень($kam1 - с рынка $kam2)нефть($nef1 - с рынка $nef2)!шпионаж - 1";
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos2 SET dengi=dengi-'$den3',metal=metal-'$met3',kamen=kamen-'$kam3',derevo=derevo-'$der3',zerno=zerno-'$zer3'
,neft=neft-'$nef3' WHERE strana='$b1[strana]'");
qw("UPDATE rynok SET kolvo=kolvo-'$met4' WHERE strana='$b1[strana]' and tovar='1'");
qw("UPDATE rynok SET kolvo=kolvo-'$kam4' WHERE strana='$b1[strana]' and tovar='2'");
qw("UPDATE rynok SET kolvo=kolvo-'$der4' WHERE strana='$b1[strana]' and tovar='3'");
qw("UPDATE rynok SET kolvo=kolvo-'$nef4' WHERE strana='$b1[strana]' and tovar='4'");
qw("UPDATE rynok SET kolvo=kolvo-'$zer4' WHERE strana='$b1[strana]' and tovar='5'");
$met1=$met1+$met2;$kam1=$kam1+$kam2;$zer1=$zer1+$zer2;$nef1=$nef1+$nef2;
qw("UPDATE gos2 SET dengi=dengi+'$den1',metal=metal+'$met1',kamen=kamen+'$kam1',derevo=derevo+'$der1',zerno=zerno+'$zer1'
,neft=neft+'$nef1' WHERE strana='$re1[strana]'");
}else{
////////////na rynke pusto
$den1=pro($b3[dengi],$b1[wpk],$re1[vor]);
$met1=pro($b3[metal],$b1[wpk],$re1[vor]);if($met1>$x){$met1=$x;$x=0;}else{$x=$x-$met1;}if($met1<0){$met1=0;}
$der1=pro($b3[derevo],$b1[wpk],$re1[vor]);if($der1>$x){$der1=$x;$x=0;}else{$x=$x-$der1;}if($der1<0){$der1=0;}
$zer1=pro($b3[zerno],$b1[wpk],$re1[vor]);if($zer1>$x){$zer1=$x;$x=0;}else{$x=$x-$zer1;}if($zer1<0){$zer1=0;}
$kam1=pro($b3[kamen],$b1[wpk],$re1[vor]);if($kam1>$x){$kam1=$x;$x=0;}else{$x=$x-$kam1;}if($kam1<0){$kam1=0;}
$nef1=pro($b3[neft],$b1[wpk],$re1[vor]);if($nef1>$x){$nef1=$x;$x=0;}else{$x=$x-$nef1;}if($nef1<0){$nef1=0;}
$den3=pro($b3[dengi],$b1[wpk],$re1[vor]);
$met3=pro($b3[metal],$b1[wpk],$re1[vor]);
$der3=pro($b3[derevo],$b1[wpk],$re1[vor]);
$zer3=pro($b3[zerno],$b1[wpk],$re1[vor]);
$kam3=pro($b3[kamen],$b1[wpk],$re1[vor]);
$nef3=pro($b3[neft],$b1[wpk],$re1[vor]);
echo"Вашим грабителям удалось пробраться на склад гос-ва <b>$b1[strana]</b><br/>
Похищено : деньги($den1)железо($met1)дерево($der1)зерно($zer1)камень($kam1)нефть($nef1)";
$data=time();$y="Грабителям гос-ва $re1[strana] удалось пробраться на ваш склад,
Похищено : деньги($den1)железо($met1)дерево($der1)зерно($zer1)камень($kam1)нефть($nef1)!шпионаж - 1";

qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos2 SET dengi=dengi-'$den3',metal=metal-'$met3',kamen=kamen-'$kam3',derevo=derevo-'$der3',zerno=zerno-'$zer3'
,neft=neft-'$nef3' WHERE strana='$b1[strana]'");
qw("UPDATE gos2 SET dengi=dengi+'$den1',metal=metal+'$met1',kamen=kamen+'$kam1',derevo=derevo+'$der1',zerno=zerno+'$zer1'
,neft=neft+'$nef1' WHERE strana='$re1[strana]'");
}
if($b1[wpk]>1){$wpk=1;}else{$wpk=0;}
if($re1[vor]<55){$vor=1;}else{$vor=0;}
echo"<br/>Воровство + $vor<br/>";$data=time();
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вашим грабителям удалось пробраться на склад гос-ва <b>$b1[strana]</b><br/>
Похищено : деньги($den1)железо($met1)дерево($der1)зерно($zer1)камень($kam1)нефть($nef1)Воровство + $vor'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Грабителям гос-ва $re1[strana] удалось пробраться на ваш склад,
Похищено : деньги($den1)железо($met1)дерево($der1)зерно($zer1)камень($kam1)нефть($nef1)!шпионаж - $wpk')");
qw("UPDATE gos SET datavor='$data',vor=vor+'$vor' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk-'$wpk' WHERE strana='$b1[strana]'");
}else{
//////////neprobitie
if($re1[vor]>1){$vor=1;}else{$vor=0;}
if($b1[wpk]<55){$wpk=1;}else{$wpk=0;}
echo"Ваши грабители потерпели неудачу!воровство - $vor<br/>";
$data=time();$y="Грабители гос-ва $re1[strana] пытались пробраться на ваш склад!шпионаж + $wpk";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Ваши грабители потерпели неудачу!воровство - $vor'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Грабители гос-ва $re1[strana] пытались пробраться на ваш склад!шпионаж + $wpk')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos SET datavor='$data',vor=vor-'$vor' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk+'$wpk' WHERE strana='$b1[strana]'");
}
/////////////////////////////////////////////yeeeeeeeeeeees
}else{
////////4time
$tt=$b4[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва ночной мораторий,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////0time
$tt=$re0[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Вы находитесь ночном моратории,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
///////m1
$tt=$m1-$tim2;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва начальная неприкосновенность,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////////tim3599
$tim=$re1[datavor]-$time;
 $sec = $tim;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Ваши грабители не готовы,<br/>подождите :<br/><b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if($_GET[m]==2){
$sp=mysql_fetch_array(qw("SELECT domik4 FROM domik WHERE strana ='$b1[strana]'"));
if($sp[domik4]==0){
echo"Наука в этом гос-ве не развита!<br/>";}else{
if($re1[wpk]<100){
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Научный уровень: <b>" .wpk($b1[naukur])."</b><br/>
Выплавка железа: <b>" .wpk($b1[naukmet])."</b><br/>
Добыча камня: <b>" .wpk($b1[naukkam])."</b><br/>
Переработка древесины: <b>" .wpk($b1[naukder])."</b><br/>
Выращивание зерна: <b>" .wpk($b1[naukzer])."</b><br/>
Нефтедобыча: <b>" .wpk($b1[nauknef])."</b><br/>
Прирост населения: <b>" .wpk($b1[naukpri])."</b><br/>
Демонтаж зданий: <b>" .wpk($b1[naukdem])."</b><br/>";
}else{
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Научный уровень: <b>$b1[naukur]</b><br/>
Выплавка железа: <b>$b1[naukmet]</b><br/>
Добыча камня: <b>$b1[naukkam]</b><br/>
Переработка древесины: <b>$b1[naukder]</b><br/>
Выращивание зерна: <b>$b1[naukzer]</b><br/>
Нефтедобыча: <b>$b1[nauknef]</b><br/>
Прирост населения: <b>$b1[naukpri]</b><br/>
Демонтаж зданий: <b>$b1[naukdem]</b><br/>";
}
if($b1[naukur]>$re1[naukur] or $b1[naukmet]>$re1[naukmet] or $b1[naukkam]>$re1[naukkam] or $b1[naukder]>$re1[naukder] or 
$b1[naukzer]>$re1[naukzer] or $b1[nauknef]>$re1[nauknef] or $b1[naukpri]>$re1[naukpri] or $b1[naukdem]>$re1[naukdem]){
$sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$b1[strana]'"));
	if($sx[id]>0){}else{
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=12&der=$key'>Похитить разработки</a><br/>";}
}else{
echo"Нет разработок выше ваших!<br/>";
}
}
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
///////////////////////////////////
if($_GET[m]==12){
$b4 = mysql_fetch_array(qw("SELECT * FROM users WHERE login='$b1[login]'"));
$time=time();
$tim=$time-$re1[datawpk];
if($tim>3599){
$tim2=$time-$b1[datareg];$m1=(3600*3)-1;
if($tim2>$m1){
if($re0[marat1]<$time){
if($b4[marat1]<$time){
/////////////////////////////////////////////yeeeeeeeeeeees
if($re1[wpk]>$b1[wpk]){
//////////////probitie
if($b1[naukur]>$re1[naukur]){$n1=1;}else{$n1=0;}
if($b1[naukmet]>$re1[naukmet]){$n2=1;}else{$n2=0;}
if($b1[naukkam]>$re1[naukkam]){$n3=1;}else{$n3=0;}
if($b1[naukder]>$re1[naukder]){$n4=1;}else{$n4=0;}
if($b1[naukzer]>$re1[naukzer]){$n5=1;}else{$n5=0;}
if($b1[nauknef]>$re1[nauknef]){$n6=1;}else{$n6=0;}
if($b1[naukpri]>$re1[naukpri]){$n7=1;}else{$n7=0;}
if($b1[naukdem]>$re1[naukdem]){$n8=1;}else{$n8=0;}
if($re1[naukur]==100){$n1=0;}if($re1[naukmet]==100){$n2=0;}if($re1[naukkam]==100){$n3=0;}if($re1[naukder]==100){$n4=0;}
if($re1[naukzer]==100){$n5=0;}if($re1[nauknef]==100){$n6=0;}if($re1[naukpri]==100){$n7=0;}if($re1[naukdem]==100){$n8=0;}
if($b1[wpk]>1){$wpk2=1;}else{$wpk2=0;}
if($re1[wpk]<55){$wpk1=1;}else{$wpk1=0;}
$data=time();
qw("UPDATE gos SET datawpk='$data',wpk=wpk+'$wpk1',naukur=naukur+'$n1',naukmet=naukmet+'$n2',
naukkam=naukkam+'$n3',naukder=naukder+'$n4',naukzer=naukzer+'$n5',nauknef=nauknef+'$n6',
naukpri=naukpri+'$n7',naukdem=naukdem+'$n8' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk-'$wpk2' WHERE strana='$b1[strana]'");
echo"Вы похитили некоторые  разработки!шпионаж +$wpk1 ";
$y="Шпионы гос-ва $re1[strana] похитили некоторые ваши разработки!шпионаж -$wpk2 ";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Вы похитили некоторые  разработки!шпионаж +$wpk1'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Шпионы гос-ва $re1[strana] похитили некоторые ваши разработки!шпионаж -$wpk2')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
}else{
//////////neprobitie
if($re1[wpk]>1){$wpk1=1;}else{$wpk1=0;}
if($b1[wpk]<55){$wpk2=1;}else{$wpk2=0;}
echo"Ваши шпионы потерпели неудачу!шпионаж - $wpk1<br/>";
$data=time();$y="Шпионы гос-ва $re1[strana] пытались похитить ваши разработки!шпионаж + $wpk2";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Ваши шпионы потерпели неудачу!шпионаж - $wpk1'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Шпионы гос-ва $re1[strana] пытались похитить ваши разработки!шпионаж + $wpk2')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos SET datawpk='$data',wpk=wpk-'$wpk1' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk+'$wpk2' WHERE strana='$b1[strana]'");
}
/////////////////////////////////////////////yeeeeeeeeeeees
}else{
////////4time
$tt=$b4[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва ночной мораторий,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////0time
$tt=$re0[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Вы находитесь ночном моратории,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
///////m1
$tt=$m1-$tim2;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва начальная неприкосновенность,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////////tim3599
$tim=$re1[datawpk]-$time;
 $sec = $tim;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Ваши шпионы не готовы,<br/>подождите :<br/><b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}
////////////////////////////////
if($_GET[m]==3){
$b3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
if($re1[wpk]<100){
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Пехотинцы : <b>".wpk($b3[peh])."</b> (<b>".wpk($b3[peh1])."</b>/<b>".wpk($b3[peh2])."</b>)<br/>
Кавалеристы: <b>".wpk($b3[kon])."</b> (<b>".wpk($b3[kav1])."</b>/<b>".wpk($b3[kav2])."</b>)<br/>
Стрелки: <b>".wpk($b3[str])."</b> (<b>".wpk($b3[str1])."</b>/<b>".wpk($b3[str2])."</b>)<br/>
Пушки: <b>".wpk($b3[puh])."</b> (<b>".wpk($b3[puh1])."</b>/<b>".wpk($b3[puh2])."</b>)<br/>
Танки: <b>".wpk($b3[tan])."</b> (<b>".wpk($b3[tan1])."</b>/<b>".wpk($b3[tan2])."</b>)<br/>
Самолёты: <b>".wpk($b3[sam])."</b> (<b>".wpk($b3[sam1])."</b>/<b>".wpk($b3[sam2])."</b>)<br/>";
}else{
echo"Точность шпионажа : <b>$re1[wpk]</b> %<br/>
Пехотинцы : <b>$b3[peh]</b> (<b>$b3[peh1]</b>/<b>$b3[peh2]</b>)<br/>
Кавалеристы: <b>$b3[kon]</b> (<b>$b3[kav1]</b>/<b>$b3[kav2]</b>)<br/>
Стрелки: <b>$b3[str]</b> (<b>$b3[str1]</b>/<b>$b3[str2]</b>)<br/>
Пушки: <b>$b3[puh]</b> (<b>$b3[puh1]</b>/<b>$b3[puh2]</b>)<br/>
Танки: <b>$b3[tan]</b> (<b>$b3[tan1]</b>/<b>$b3[tan2]</b>)<br/>
Самолёты: <b>$b3[sam]</b> (<b>$b3[sam1]</b>/<b>$b3[sam2]</b>)<br/>";
}
$p1=$b3[peh]+$b3[kav]+$b3[str]+$b3[puh]+$b3[tan]+$b3[sam];
if($p1!=0){
$sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$b1[strana]'"));
	if($sx[id]>0){}else{
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=13&der=$key'>Завербовать</a><br/>";}}
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==13){
$b3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$b1[strana]'"));
$b4 = mysql_fetch_array(qw("SELECT * FROM users WHERE login='$b1[login]'"));
$time=time();
$tim=$time-$re1[dataver];
if($tim>3599){
$tim2=$time-$b1[datareg];$m1=(3600*3)-1;
if($tim2>$m1){
if($re0[marat1]<$time){
if($b4[marat1]<$time){
/////////////////////////////////////////////yeeeeeeeeeeees
if($re1[ver]>$b1[wpk]){
//////////////probitie
$e1=pro($b3[peh],$b1[wpk],$re1[ver]);
$e2=pro($b3[kon],$b1[wpk],$re1[ver]);
$e3=pro($b3[str],$b1[wpk],$re1[ver]);
$e4=pro($b3[puh],$b1[wpk],$re1[ver]);
$e5=pro($b3[tan],$b1[wpk],$re1[ver]);
$e6=pro($b3[sam],$b1[wpk],$re1[ver]);
if($b1[wpk]>1){$wpk=1;}else{$wpk=0;}
if($re1[ver]<55){$ver=1;}else{$ver=0;}
$data=time();
qw("UPDATE gos SET dataver='$data',ver=ver+'$ver' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk-'$wpk' WHERE strana='$b1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$e1',kon=kon+'$e2',str=str+'$e3',puh=puh+'$e4',tan=tan+'$e5',sam=sam+'$e6' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh-'$e1',kon=kon-'$e2',str=str-'$e3',puh=puh-'$e4',tan=tan-'$e5',sam=sam-'$e6' WHERE strana='$b1[strana]'");
echo"Вы  завербовали : пехота($e1),кавалерия($e2),стрелки($e3),пушки($e4),танки($e5),самолёты($e6)!вербовка +$ver ";
$y="Гос-во $re1[strana] завербовало у вас : пехота($e1),кавалерия($e2),стрелки($e3),пушки($e4),танки($e5),самолёты($e6)!шпионаж -$wpk ";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Вы  завербовали : пехота($e1),кавалерия($e2),стрелки($e3),пушки($e4),танки($e5),самолёты($e6)!вербовка +$ver'),
('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Гос-во $re1[strana] завербовало у вас : пехота($e1),кавалерия($e2),стрелки($e3),пушки($e4),танки($e5),самолёты($e6)!шпионаж -$wpk')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
}else{
//////////neprobitie
if($re1[ver]>1){$ver=1;}else{$ver=0;}
if($b1[wpk]<55){$wpk=1;}else{$wpk=0;}
echo"Ваши вербовщики потерпели неудачу!вербовка - $ver<br/>";
$data=time();$y="Вербовщики гос-ва $re1[strana] потерпели неудачу!шпионаж + $wpk";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Ваши вербовщики потерпели неудачу!вербовка - $ver'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Вербовщики гос-ва $re1[strana] потерпели неудачу!шпионаж + $wpk')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos SET dataver='$data',ver=ver-'$ver' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk+'$wpk' WHERE strana='$b1[strana]'");
}
/////////////////////////////////////////////yeeeeeeeeeeees
}else{
////////4time
$tt=$b4[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва ночной мораторий,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////0time
$tt=$re0[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Вы находитесь ночном моратории,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
///////m1
$tt=$m1-$tim2;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва начальная неприкосновенность,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////////tim3599
$tim=$re1[dataver]-$time;
 $sec = $tim;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Ваши вербовщики не готовы,<br/>подождите :<br/><b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}
if($_GET[m]==4){
$b3 = mysql_fetch_array(qw("SELECT domik6,stena FROM domik WHERE strana='$b1[strana]'"));
if($b3[domik6]==1){
if($re1[wpk]<100){
echo"Уровень стены (<b>".wpk($b3[stena])."</b>)<br/>";}else{
echo"Уровень стены (<b>$b3[stena]</b>)<br/>";
}
if($b3[stena]>0){
$sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$b1[strana]'"));
	if($sx[id]>0){}else{
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&m=14&der=$key'>Саботаж</a><br/>";}}
}else{
echo"Стена отсутствует!<br/>";
}
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==14){
$b3 = mysql_fetch_array(qw("SELECT stena FROM domik WHERE strana='$b1[strana]'"));
$b4 = mysql_fetch_array(qw("SELECT * FROM users WHERE login='$b1[login]'"));
$time=time();
$tim=$time-$re1[datasab];
if($tim>3599){
$tim2=$time-$b1[datareg];$m1=(3600*3)-1;
if($tim2>$m1){
if($re0[marat1]<$time){
if($b4[marat1]<$time){
/////////////////////////////////////////////yeeeeeeeeeeees
if($re1[sab]>$b1[wpk]){
//////////////probitie

$sten=pro($b3[stena],$b1[wpk],$re1[sab]);
if($b1[wpk]>1){$wpk=1;}else{$wpk=0;}
if($re1[sab]<55){$sab=1;}else{$sab=0;}
$data=time();
qw("UPDATE gos SET datasab='$data',sab=sab+'$sab' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk-'$wpk' WHERE strana='$b1[strana]'");
qw("UPDATE domik SET stena=stena-'$sten' WHERE strana='$b1[strana]'");
echo"Вы  разрушили стену на $sten уровней!саботаж +$sab ";
$y="Гос-во $re1[strana] разрушило вам стену на $sten уровней!шпионаж -$wpk ";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Вы  разрушили стену на $sten уровней!саботаж +$sab'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Гос-во $re1[strana] разрушило вам стену на $sten уровней!шпионаж -$wpk')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");

}else{
//////////neprobitie
if($b1[wpk]>1 and $b1[wpk]<55){$wpk=1;}else{$wpk=0;}
if($re1[sab]<55){$sab=1;}else{$sab=0;}
echo"Ваши саботажники потерпели неудачу!саботаж - $sab<br/>";
$data=time();$y="Саботажники гос-ва $re1[strana] пытались разрушить вашу стену!шпионаж + $wpk";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('2','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'($b1[strana])Ваши саботажники потерпели неудачу!саботаж - $sab'),('2','[$dt1:$dt2]($dt3:$dt4)','$b1[strana]',
'Саботажники гос-ва $re1[strana] пытались разрушить вашу стену!шпионаж + $wpk')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','@','$data','0','0','$y')");
qw("UPDATE gos SET datasab='$data',sab=sab-'$sab' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk+'$wpk' WHERE strana='$b1[strana]'");
}
/////////////////////////////////////////////yeeeeeeeeeeees
}else{
////////4time
$tt=$b4[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва ночной мораторий,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////0time
$tt=$re0[marat1]-$time;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Вы находитесь ночном моратории,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
///////m1
$tt=$m1-$tim2;
 $sec = $tt;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"У этого гос-ва начальная неприкосновенность,<br/>подождите :<br/><b>$hou</b> час. <b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}else{
//////////tim3599
$tim=$re1[datasab]-$time;
 $sec = $tim;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Ваши Саботажники не готовы,<br/>подождите :<br/><b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}
if($_GET[m]==5){
echo'<FORM ACTION="citadel.php?make=5&a='.$_GET[a].'&f='.$a2.'&x='.$_GET[x].'&m=6&der='.$key.'" METHOD=POST>';?>
Сообщение:
<br/>
<input type="text" name="text" maxlength="180"/><br/>
<INPUT TYPE='submit'VALUE='Написать'></FORM><br/><?
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==99){
echo"Сообщение отправлено!<br/>";
}
if($_GET[m]==6){
$dat=time();$y=$_POST[text];
if(!empty($y)){
$y=text($y);
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b1[strana]','$re1[strana]','$dat','0','1','$y')");
mysql_close();
echo"Сообщение отправлено!<br/>";
header("Location: citadel.php?make=5&m=99&der=$key");
}else{
echo"Уже отправлено!<br/>";}
echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
if($_GET[m]==7){

echo"<a href='citadel.php?make=5&a=$_GET[a]&f=$a2&x=$_GET[x]&der=$key'>Ок</a><br/>";
}
}else{
echo"Гос-во не является соседним!<br/>";
}
break;
case 6:
if(empty($_POST[nav]) or empty($_POST[voz])){
if($re2[genn]==0){
echo'<FORM ACTION="citadel.php?make=6&der='.$key.'" METHOD=POST>';?>
Возраст (16-80):
<br/>
<input type="text" name="voz" maxlength="180"/><br/>
Навык(1-...):
<br/>
<input type="text" name="nav" maxlength="180"/><br/>
<INPUT TYPE='submit'VALUE='Купить'></FORM><br/><?
}else{
//////////////////////////////////////////////////////////////////////////////////
echo"Ваш генерал :<br/>Возраст : <b>$re2[genv]</b><br/><a href='citadel.php?make=9&der=$key'>Уволить</a>
<br/>Навык : <b>$re2[genn] </b>
<br/>Мораль : <b>$re2[genm] </b><a href='citadel.php?make=8&der=$key'>[<b>+</b>]</a>
<br/>Опыт : <b>$re2[geno]</b><br/>";
//////////////////////////////////////////////////////////////////////////////////
}}else{
if($re2[genn]>0){header("Location: citadel.php?make=6&der=$key");}else{
$voz=zif($_POST[voz]);$nav=zif($_POST[nav]);
if($voz>15 and $voz<81){
if($nav>0){
//////////////////////////////////////////////////////////////////////////////////
if($nav>0 and $nav< 11){$cen=8000;}
if($nav>10 and $nav< 51){$cen=600;}
if($nav>50 and $nav< 71){$cen=1700;}
if($nav>70 and $nav< 91){$cen=5000;}
if($nav>90 and $nav< 121){$cen=10000;}
if($nav>120 and $nav< 151){$cen=15000;}
if($nav>150 and $nav< 251){$cen=20000;}
if($nav>250 and $nav< 401){$cen=30000;}
if($nav>400 and $nav< 601){$cen=40000;}
if($nav>600){$cen=50000;}
$stm=round((($nav*($nav/5))*$cen)/$voz);
if($re2[dengi]>=$stm){
qw("UPDATE gos2 SET dengi=dengi-'$stm',genn='$nav',genm='1',genv='$voz' WHERE strana='$re1[strana]'");
header("Location: citadel.php?make=7&d=$stm&der=$key");
}else{
echo"Недостаточно денег!<br/>Необходимо <b>$stm</b><br/>";
}
//////////////////////////////////////////////////////////////////////////////////
}else{
header("Location: citadel.php?make=6&der=$key");
}}else{
header("Location: citadel.php?make=6&der=$key");
}}}
echo"<a href='citadel.php?make=10&der=$key'>Калькулятор навыка генерала</a><br/>";
break;
case 10:
if(empty($_POST[nav]) or empty($_POST[voz])){
echo'<FORM ACTION="citadel.php?make=10&der='.$key.'" METHOD=POST>';?>
Возраст (16-80):
<br/>
<input type="text" name="voz" maxlength="180"/><br/>
Навык(1-...):
<br/>
<input type="text" name="nav" maxlength="180"/><br/>
<INPUT TYPE='submit'VALUE='Смотреть'></FORM><br/><?
}else{
$voz=zif($_POST[voz]);$nav=zif($_POST[nav]);
if($voz>15 and $voz<81){
if($nav>0){
//////////////////////////////////////////////////////////////////////////////////
if($nav>0 and $nav< 11){$cen=8000;}
if($nav>10 and $nav< 51){$cen=600;}
if($nav>50 and $nav< 71){$cen=1700;}
if($nav>70 and $nav< 91){$cen=5000;}
if($nav>90 and $nav< 121){$cen=10000;}
if($nav>120 and $nav< 151){$cen=15000;}
if($nav>150 and $nav< 251){$cen=20000;}
if($nav>250 and $nav< 401){$cen=30000;}
if($nav>400 and $nav< 601){$cen=40000;}
if($nav>600){$cen=50000;}
$stm=round((($nav*($nav/5))*$cen)/$voz);

echo"Генерал.навык - $nav ,возраст - $voz стоит $stm денег<br/>";
//////////////////////////////////////////////////////////////////////////////////
}else{
header("Location: citadel.php?make=10&der=$key");
}}else{
header("Location: citadel.php?make=10&der=$key");
}}
break;
case 7:
echo"Вы купили генерала за <b>$_GET[d]</b> денег!<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('13','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы купили генерала за <b>$_GET[d]</b> денег!')");
break;
case 8:
$mor=$re2[genm];$mor1=$mor+1;
$m1=round((($mor*$mor)*20)/($re2[genv]/10));$m2=round((($mor*$mor)*1)/($re2[genv]/10));
if($re2[dengi]>=$m1 and $re2[metal]>=$m2){
qw("UPDATE gos2 SET genm=genm+1,dengi=dengi-'$m1',metal=metal-'$m2' WHERE strana='$re1[strana]'");
echo"Мораль повышена до <b>$mor1</b> !<br/>Затрачено <b>$m1</b> денег <b>$m2</b> железа<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('13','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Мораль повышена до <b>$mor1</b> !<br/>Затрачено <b>$m1</b> денег <b>$m2</b> железа')");
}else{
echo"Повышение не возможно!<br/>Необходимо <b>$m1</b> денег <b>$m2</b> железа<br/>";
}
break;
case 9:
if($_GET[a]==1){
if($re2[genn]!=0){
qw("UPDATE gos2 SET genn='0',genm='0',geno='1',genv='0' WHERE strana='$re1[strana]'");
echo"Генерал уволен!<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('13','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Генерал уволен!')");
}else{
header("Location: citadel.php?make=6&der=$key");
}}else{
echo"Уволить генерала?<br/><a href='citadel.php?make=9&a=1&der=$key'>Да</a><br/>";
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>